Custom Order Source
Endpoints for Custom Order Source
Endpoints for Custom Order Source
GET/api/v1/custom-order-sources
Authentication: Bearer token (JWT)
idstringRequired when parent is presentnamestringRequired when parent is presenttenantIdnumberRequired when parent is present[
{
"id": "string",
"name": "string",
"tenantId": 0
}
]unauthorized
This response has no body.
forbiddenResource
messageCodestringRequiredmessagestringerrorsarray of FieldErrorRequired7 fieldserrorscurlcurl https://api.subrite.no/api/v1/custom-order-sources \
--header 'Authorization: Bearer <token>'POST/api/v1/custom-order-sources
Authentication: Bearer token (JWT)
application/jsonnamestringRequiredmaxLength: 255GET/api/v1/custom-order-sources/{id}
Authentication: Bearer token (JWT)
idstringRequiredDELETE/api/v1/custom-order-sources/{id}
Authentication: Bearer token (JWT)
idstringRequiredThis response has no body.
PATCH/api/v1/custom-order-sources/{id}
Authentication: Bearer token (JWT)
idstringRequiredapplication/jsonnamestringRequiredmaxLength: 255fieldstringRequired when parent is presentField path: errors[].fieldfieldValuestringRequired when parent is presentField path: errors[].fieldValueidentifierstringRequired when parent is presentField path: errors[].identifieridentifierValuestringRequired when parent is presentField path: errors[].identifierValuemessageCodestringRequired when parent is presentField path: errors[].messageCodemessagestringField path: errors[].messageerrorTypestringRequired when parent is presentField path: errors[].errorType{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}CreateCustomOrderSourceDto{
"name": "string"
}idstringRequirednamestringRequiredtenantIdnumberRequired{
"id": "string",
"name": "string",
"tenantId": 0
}badRequest
messageCodestringRequired"badRequest"messagestringerrorsarray of FieldErrorunauthorized
This response has no body.
forbiddenResource
Same fields as Get all custom order sources of the tenant (403).
{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}curlcurl https://api.subrite.no/api/v1/custom-order-sources \
--request POST \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"name": "string"
}'Same fields as Create a new custom order source (201).
{
"id": "string",
"name": "string",
"tenantId": 0
}badRequest
Same fields as Create a new custom order source (400).
{
"messageCode": "badRequest",
"message": "string",
"errors": [
{}
]
}unauthorized
This response has no body.
forbiddenResource
Same fields as Get all custom order sources of the tenant (403).
{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}customOrderSourceNotFound
messageCodestringRequired"customOrderSourceNotFound"messagestringerrorsarray of FieldErrorRequired7 fieldserrorsfieldstringRequired when parent is presentField path: errors[].fieldfieldValuestringRequired when parent is presentField path: errors[].fieldValueidentifierstringRequired when parent is presentField path: errors[].identifieridentifierValuestringRequired when parent is presentField path: errors[].identifierValuemessageCodestringRequired when parent is presentField path: errors[].messageCodemessagestringField path: errors[].messageerrorTypestringRequired when parent is present{
"messageCode": "customOrderSourceNotFound",
"message": "string",
"errors": [
{}
]
}curlcurl 'https://api.subrite.no/api/v1/custom-order-sources/{id}' \
--header 'Authorization: Bearer <token>'badRequest
Same fields as Create a new custom order source (400).
{
"messageCode": "badRequest",
"message": "string",
"errors": [
{}
]
}unauthorized
This response has no body.
forbiddenResource
Same fields as Get all custom order sources of the tenant (403).
{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}customOrderSourceNotFound
Same fields as Get a custom order source by id (404).
{
"messageCode": "customOrderSourceNotFound",
"message": "string",
"errors": [
{}
]
}customOrderSourceHasOrders
messageCodestringRequired"customOrderSourceHasOrders"messagestringerrorsarray of FieldErrorRequired7 fieldserrorsfieldstringRequired when parent is presentField path: errors[].fieldfieldValuestringRequired when parent is presentField path: errors[].fieldValueidentifierstringRequired when parent is presentField path: errors[].identifieridentifierValuestringRequired when parent is presentField path: errors[].identifierValuemessageCodestringRequired when parent is presentField path: errors[].messageCodemessage{
"messageCode": "customOrderSourceHasOrders",
"message": "string",
"errors": [
{}
]
}curlcurl 'https://api.subrite.no/api/v1/custom-order-sources/{id}' \
--request DELETE \
--header 'Authorization: Bearer <token>'{
"name": "string"
}Same fields as Create a new custom order source (201).
{
"id": "string",
"name": "string",
"tenantId": 0
}badRequest
Same fields as Create a new custom order source (400).
{
"messageCode": "badRequest",
"message": "string",
"errors": [
{}
]
}unauthorized
This response has no body.
forbiddenResource
Same fields as Get all custom order sources of the tenant (403).
customOrderSourceNotFound
Same fields as Get a custom order source by id (404).
curlcurl 'https://api.subrite.no/api/v1/custom-order-sources/{id}' \
--request PATCH \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"name": "string"
}'errorsfieldstringRequired when parent is presentField path: errors[].fieldfieldValuestringRequired when parent is presentField path: errors[].fieldValueidentifierstringRequired when parent is presentField path: errors[].identifieridentifierValuestringRequired when parent is presentField path: errors[].identifierValuemessageCodestringRequired when parent is presentField path: errors[].messageCodemessagestringField path: errors[].messageerrorTypestringRequired when parent is presentField path: errors[].errorType{
"messageCode": "badRequest",
"message": "string",
"errors": [
{}
]
}stringerrorTypestringRequired when parent is presentField path: errors[].errorType{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}{
"messageCode": "customOrderSourceNotFound",
"message": "string",
"errors": [
{}
]
}